# Check Point Anti Malware 

Monitors status of Check Point Anti Bot, Anti Virus and Anti SPAM blades

---
### Check Info

* *service*: this check will create the services *Anti malware: anti bot*, *Anti malware: anti SPAM*, *Anti malware: anti virus* and *Anti malware: over all*
* *state*: 
    ### *Anti malware: over all*
    **critical** if *amwstauscode* is not *0*, error description from *amwlongdesc*

    ### *Anti malware: anti bot* and *Anti malware: anti virus*
    **critical**/**warning** if *lastupdate* outside the configured levels\
    **warning**
    * if *status* is not *valid*
    * if *updatestatus* is not *up-to-date* or *new*
    
    ### *Anti malware: anti SPAM*
    **warning** if *status* is not *valid*
    
* *wato*: war/crit levels for Anti Bot and Anti Virus update in days (default is 7/14) days, Timeformat for verion
* *perfdata*: none

---
### Download

* [checkpoint_anti_malware.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/check-point/gateway/checkpoint_anti_malware/-/raw/master/checkpoint_anti_malware.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install checkpoint_anti_malware.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")
